Menu
Documentation
Grafana Cloud
Developer resources
Grafana APIs
HTTP API
Legacy Grafana HTTP API
Folder/Dashboard Search HTTP API
Enterprise
Open source
Grafana Cloud
Folder/Dashboard Search API
Caution
Starting in Grafana 13,
/apiendpoints are being deprecated. This change doesn’t disrupt or break your current setup: legacy APIs are not being disabled and remain fully accessible and operative. However,/apiroutes will no longer be updated and will be removed in a future major release.To learn more refer to the new API structure in Grafana.
Search folders and dashboards
GET /api/search/
Note: When using Role-based access control, search results will contain only dashboards and folders which you have access to.
Query parameters:
- query – Search Query
- tag – List of tags to search for
- type – Type to search for,
dash-folderordash-db - dashboardIds – List of dashboard id’s to search for
- dashboardUID - List of dashboard uid’s to search for, It is deprecated since Grafana v9.1, please use dashboardUIDs instead
- dashboardUIDs – List of dashboard uid’s to search for
- folderUIDs – List of folder UIDs to search in
- starred – Flag indicating if only starred Dashboards should be returned
- limit – Limit the number of returned results (max is 5000; default is 1000). If an invalid value is provided (for example, strings or special characters), the parameter defaults to 1000.
- page – Use this parameter to access hits beyond limit. Numbering starts at 1. limit param acts as page size.
Example request for retrieving folders and dashboards at the root level:
http
GET /api/search?query=&starred=false HTTP/1.1
Accept: application/json
Content-Type: application/json
Authorization: Bearer eyJrIjoiT0tTcG1pUlY2RnVKZTFVaDFsNFZXdE9ZWmNrMkZYbkExample response for retrieving folders and dashboards at the root level:
http
HTTP/1.1 200
Content-Type: application/json
[
{
"id": 163,
"uid": "000000163",
"orgId": 1,
"title": "Folder",
"url": "/dashboards/f/000000163/folder",
"type": "dash-folder",
"tags": [],
"isStarred": false,
"uri":"db/folder" // deprecated in Grafana v5.0
},
{
"id":1,
"uid": "cIBgcSjkk",
"orgId": 1,
"title":"Production Overview",
"url": "/d/cIBgcSjkk/production-overview",
"type":"dash-db",
"tags":[prod],
"isStarred":true,
"uri":"db/production-overview" // deprecated in Grafana v5.0
}
]Example request searching for dashboards:
http
GET /api/search?query=Production%20Overview&starred=true&tag=prod HTTP/1.1
Accept: application/json
Content-Type: application/json
Authorization: Bearer eyJrIjoiT0tTcG1pUlY2RnVKZTFVaDFsNFZXdE9ZWmNrMkZYbkExample response searching for dashboards:
http
HTTP/1.1 200
Content-Type: application/json
[
{
"id":1,
"uid": "cIBgcSjkk",
"orgId": 1,
"title":"Production Overview",
"url": "/d/cIBgcSjkk/production-overview",
"type":"dash-db",
"tags":[prod],
"isStarred":true,
"folderId": 2,
"folderUid": "000000163",
"folderTitle": "Folder",
"folderUrl": "/dashboards/f/000000163/folder",
"uri":"db/production-overview" // deprecated in Grafana v5.0
}
]Was this page helpful?
Related resources from Grafana Labs
Additional helpful documentation, links, and articles:
Video

Getting started with managing your metrics, logs, and traces using Grafana
In this webinar, we’ll demo how to get started using the LGTM Stack: Loki for logs, Grafana for visualization, Tempo for traces, and Mimir for metrics.
Video

Intro to Kubernetes monitoring in Grafana Cloud
In this webinar you’ll learn how Grafana offers developers and SREs a simple and quick-to-value solution for monitoring their Kubernetes infrastructure.
Video

Building advanced Grafana dashboards
In this webinar, we’ll demo how to build and format Grafana dashboards.
Choose a product
Scroll for more